//==================================================
//POV-Ray Main scene file
//==================================================
//This file has been created by PoseRay v3.13.7.479
//3D model to POV-Ray/Moray Converter.
//Author: FlyerX
//Email: flyerx_2000@yahoo.com
//Web: http://mysite.verizon.net/sfg0000/
//==================================================
//Files needed to run the POV-Ray scene:
//c3po2_welded_vertices_POV_main.ini (initialization file - open this to render)
//c3po2_welded_vertices_POV_scene.pov (scene setup of cameras, lights and geometry)
//c3po2_welded_vertices_POV_geom.inc (geometry mesh)
//c3po2_welded_vertices_POV_mat.inc (materials)
// 
//==================================================
//Model Statistics:
//Number of triangular faces..... 8768
//Number of vertices............. 3963
//Number of normals.............. 6023
//Number of UV coordinates....... 0
//Number of lines................ 0
//Number of materials............ 4
//Number of groups/meshes........ 10
//Number of subdivision faces.... 0
//Bounding Box....... from x,y,z=(-31.33827,-31.1,-12)
//                      to x,y,z=(31.33827,72,26.34084)
//                 size dx,dy,dz=(62.67654,103.1,38.34084)
//                  center x,y,z=(0,20.45,7.17042)
//                       diagonal 126.6017
//Surface area................... 32009.59
//             Smallest face area 0.007884594
//              Largest face area 360
//Memory allocated for geometry.. 737 KBytes
// 
//==================================================
//IMPORTANT:
//This file was designed to run with the following command line options: 
// +W320 +H264 +FN +AM1 +A -UA
//if you are not using an INI file copy and paste the text above to the command line box before rendering

//C-3PO
//NOTE: Radiosity settings changed in the file rad_def,inc, to:
//      pretrace_end   0.001
//   following recommendation from clipka - see the following link:
//   http://news.povray.org/povray.binaries.images/thread/%3C4e82cfe3%40news.povray.org%3E/


 
#include "rad_def.inc"
#include "c3po2_welded_vertices_POV_geom.inc" //Geometry      


#declare LDRAW_RAD_LEVEL = 5;
#declare LDRAW_MTL = 10;
#declare INDEXOFREFRACTION=1.52;
#declare LDRAW_RAD_NORMAL = off;
#declare LDRAW_RAD_MEDIA = off;


global_settings {
  assumed_gamma 1.4
  max_trace_level LDRAW_MTL
  adc_bailout 0.01/2
  radiosity {
    Rad_Settings(LDRAW_RAD_LEVEL, LDRAW_RAD_NORMAL, LDRAW_RAD_MEDIA)
  }
}

//Looks like some good HDR files available here:
//http://www.smartibl.com/sibl/archive.html
sphere{
        0,1
        pigment{
          image_map{ 
                     //hdr "kitchen_probe.hdr"
                     //hdr "Factory_Catwalk_2k.hdr"
                     hdr "Serpentine_Valley_3k.hdr"
                     once 
                     interpolate 2
                     map_type 1
                    }
  
        }
        finish{ ambient 2 emission 1}
        scale 2000 // make sure the sphere is big enough to cover the whole scene
        rotate <0,90,0>
        hollow
        no_image
        }  

 
//CAMERA 
camera {
        perspective
        up <0,1,0>
        right -x*image_width/image_height
        location <0,0,253.2034>
        look_at <0,0,252.2034>
        //angle 29.77335 // horizontal FOV angle
        angle 32
        //angle 25 // horizontal FOV angle (works for 600x600)
        rotate <0,0,180.1331> //roll
        rotate <12.63484,0,0> //pitch
        rotate <0,-31.45526,0> //yaw
        translate <0,20.45,7.17042>
        }
 
/*
//PoseRay default Light attached to the camera
light_source {
              <0,0,253.20338> //light position
              color rgb <1,1,1>*1.6
              parallel
              point_at <0,0,0>
              rotate <0,0,180.1331> //roll
              rotate <12.63484,0,0> //elevation
              rotate <0,-31.45526,0> //rotation
             }                                 
*/             
 
//Background
background { color rgb<1,1,1>  }
 
//Assembled object that is contained in c3po2_welded_vertices_POV_geom.inc
object{
      c3po2_welded_vertices_
      }
//==================================================
